<template>
    <el-form ref='form' :model='form' :rules='rules' label-width='140px'>
        <!-- <el-form-item v-if='devFlag' label='对象标识' prop="EquipmentMark">
            <el-input v-model='form.EquipmentMark'></el-input>
        </el-form-item> -->
    </el-form>
</template>

<script>
export default {
    name: 'step3_no-handle',
    data() {
        return {
            form: {
                EquipmentMark: ''
            },
            rules: {
                // EquipmentMark: [{ required: true, message: '请输入对象标识', trigger: 'blur' }],
            }
        }
    },
    props: {
        devFlag: {
            default: true,
            type: Boolean
        },
        noHandleShow : { }
    },
    methods: {
        getForm(cb) {
            this.$refs["form"].validate((valid) => {
                if(valid){
                    cb(this.form)
                } else {
                    cb(false)
                }
            })
        }
    },
    watch: {
        noHandleShow: {
            deep: true,
            immediate: true,
            handler(val) {
                if(val) {
                    this.form = JSON.parse(JSON.stringify(val))
                }
                
            }

        }
    }
}
</script>

<style>
</style>
